---
title: List sessions.
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Browser Rendering](https://developers.cloudflare.com/api/go/resources/browser_rendering)

[Devtools](https://developers.cloudflare.com/api/go/resources/browser_rendering/subresources/devtools)

[Session](https://developers.cloudflare.com/api/go/resources/browser_rendering/subresources/devtools/subresources/session)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# List sessions.

client.BrowserRendering.Devtools.Session.List(ctx, params) (\*\[] [DevtoolSessionListResponse](<https://developers.cloudflare.com/api/go/resources/browser_rendering#(resource)%20browser_rendering.devtools.session%20%3E%20(model)%20DevtoolSessionListResponse%20%3E%20(schema)>), error)

GET/accounts/{account\_id}/browser-rendering/devtools/session

List active browser sessions.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Browser Rendering Write``Browser Rendering Read`

##### ParametersExpand Collapse

<details>

<summary>

params DevtoolSessionListParams

</summary>

AccountID param.Field\[string]

Path param: Account ID.

<a href="#(resource)%20browser_rendering.devtools.session%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20account_id">Link to this property</a>

Limit param.Field\[float64]Optional

Query param

maximum200

minimum1

<a href="#(resource)%20browser_rendering.devtools.session%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20limit">Link to this property</a>

Offset param.Field\[float64]Optional

Query param

minimum0

<a href="#(resource)%20browser_rendering.devtools.session%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20offset">Link to this property</a>

</details>

[Link to this property](<#(resource)%20browser_rendering.devtools.session%20%3E%20(method)%20list%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type DevtoolSessionListResponse \[]<a href="https://developers.cloudflare.com/api/go/resources/browser_rendering#(resource)%20browser_rendering.devtools.session%20%3E%20(model)%20DevtoolSessionListResponse%20%3E%20(schema)">DevtoolSessionListResponse</a>

</summary>

SessionID string

Session ID.

formatuuid

<a href="#(resource)%20browser_rendering.devtools.session%20%3E%20(model)%20DevtoolSessionListResponse%20%3E%20(schema)%20%3E%20(property)%20sessionId">Link to this property</a>

CloseReason float64Optional

Reason code for session closure.

<a href="#(resource)%20browser_rendering.devtools.session%20%3E%20(model)%20DevtoolSessionListResponse%20%3E%20(schema)%20%3E%20(property)%20closeReason">Link to this property</a>

CloseReasonText stringOptional

Human-readable close reason.

<a href="#(resource)%20browser_rendering.devtools.session%20%3E%20(model)%20DevtoolSessionListResponse%20%3E%20(schema)%20%3E%20(property)%20closeReasonText">Link to this property</a>

ConnectionEndTime float64Optional

Connection end time.

<a href="#(resource)%20browser_rendering.devtools.session%20%3E%20(model)%20DevtoolSessionListResponse%20%3E%20(schema)%20%3E%20(property)%20connectionEndTime">Link to this property</a>

ConnectionID stringOptional

Connection ID.

<a href="#(resource)%20browser_rendering.devtools.session%20%3E%20(model)%20DevtoolSessionListResponse%20%3E%20(schema)%20%3E%20(property)%20connectionId">Link to this property</a>

ConnectionStartTime float64Optional

Connection start time.

<a href="#(resource)%20browser_rendering.devtools.session%20%3E%20(model)%20DevtoolSessionListResponse%20%3E%20(schema)%20%3E%20(property)%20connectionStartTime">Link to this property</a>

DevtoolsFrontendURL stringOptional

DevTools frontend URL.

<a href="#(resource)%20browser_rendering.devtools.session%20%3E%20(model)%20DevtoolSessionListResponse%20%3E%20(schema)%20%3E%20(property)%20devtoolsFrontendUrl">Link to this property</a>

EndTime float64Optional

Session end time.

<a href="#(resource)%20browser_rendering.devtools.session%20%3E%20(model)%20DevtoolSessionListResponse%20%3E%20(schema)%20%3E%20(property)%20endTime">Link to this property</a>

LastUpdated float64Optional

Last updated timestamp.

<a href="#(resource)%20browser_rendering.devtools.session%20%3E%20(model)%20DevtoolSessionListResponse%20%3E%20(schema)%20%3E%20(property)%20lastUpdated">Link to this property</a>

StartTime float64Optional

Session start time.

<a href="#(resource)%20browser_rendering.devtools.session%20%3E%20(model)%20DevtoolSessionListResponse%20%3E%20(schema)%20%3E%20(property)%20startTime">Link to this property</a>

WebSocketDebuggerURL stringOptional

WebSocket URL for debugging this target.

<a href="#(resource)%20browser_rendering.devtools.session%20%3E%20(model)%20DevtoolSessionListResponse%20%3E%20(schema)%20%3E%20(property)%20webSocketDebuggerUrl">Link to this property</a>

</details>

[Link to this property](<#(resource)%20browser_rendering.devtools.session%20%3E%20(method)%20list%20%3E%20(network%20schema)>)

### List sessions.

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/browser_rendering"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  sessions, err := client.BrowserRendering.Devtools.Session.List(context.TODO(), browser_rendering.DevtoolSessionListParams{
    AccountID: cloudflare.F("account_id"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", sessions)
}
```

200 example

```
[
  {
    "sessionId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "closeReason": 0,
    "closeReasonText": "closeReasonText",
    "connectionEndTime": 0,
    "connectionId": "connectionId",
    "connectionStartTime": 0,
    "devtoolsFrontendUrl": "devtoolsFrontendUrl",
    "endTime": 0,
    "lastUpdated": 0,
    "startTime": 0,
    "webSocketDebuggerUrl": "webSocketDebuggerUrl"
  }
]
```

##### Returns Examples

200 example

```
[
  {
    "sessionId": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "closeReason": 0,
    "closeReasonText": "closeReasonText",
    "connectionEndTime": 0,
    "connectionId": "connectionId",
    "connectionStartTime": 0,
    "devtoolsFrontendUrl": "devtoolsFrontendUrl",
    "endTime": 0,
    "lastUpdated": 0,
    "startTime": 0,
    "webSocketDebuggerUrl": "webSocketDebuggerUrl"
  }
]
```